#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 25. X Libraries

- Prev

  clutter-gtk-1.8.4

- Next

  FLTK-1.3.5

- Up
- Home

# colord-gtk-0.2.0

## Introduction to Colord GTK

The Colord GTK package contains GTK+ bindings for Colord.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/colord/releases/colord-gtk-0.2.0.tar.xz

- Download MD5 sum: 66d048803c8b89e5e63da4b461484933

- Download size: 20 KB

- Estimated disk space required: 41 MB

- Estimated build time: less than 0.1 SBU

### Colord GTK Dependencies

#### Required

colord-1.4.5 and GTK+-3.24.25

#### Recommended

gobject-introspection-1.66.1, GTK+-2.24.33, and Vala-0.50.3

#### Optional

DocBook-utils-0.6.14 and GTK-Doc-1.33.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/colord-gtk

## Installation of Colord GTK

### Warning

If building the documentation make -j1 must be used.

Install Colord GTK by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr  \
          -Dgtk2=true    \
          -Dvapi=true    \
          -Ddocs=false   \
          -Dman=false .. &&
    ninja

To test the results, issue: ninja test. The tests need to be run from an X session, and may require a color profile for your primary display.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dvapi=true`: This switch enables building of the Vala bindings. Remove if you don't have Vala-0.50.3 installed.

`-Dgtk2=true`: This switch enables building the GTK+-2 bindings for colord.

`-Ddocs=false`: This switch disables building GTK-DOC based documentation. Even if GTK-DOC is installed, you will need the namespaced versions of the Docbook XSL stylesheets.

`-Dman=false`: This switch disables generating the manual pages for this package. Remove this switch if you have namespaced versions of the Docbook XSL stylesheets installed.

## Contents

Installed Programs: cd-convert
Installed Libraries: libcolord-gtk.so and libcolord-gtk2.so
Installed Directories: /usr/include/colord-1/colord-gtk and /usr/share/gtk-doc/html/colord-gtk

### Short Descriptions

cd-convert | is a Color Manager Testing Tool
`libcolord-gtk.so` | contains the Colord GTK+ bindings
`libcolord-gtk2.so` | contains the Colord GTK+-2 bindings

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  clutter-gtk-1.8.4

- Next

  FLTK-1.3.5

- Up
- Home